package com.gic.haoban.manage.web.vo.content;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2022/10/28 1:52 PM
 * @Description
 * @Version
 **/
public class ContentMaterialInfoVO implements Serializable {

    private static final long serialVersionUID = 3274097803200172473L;
    /**
     * 素材id
     */
    private Integer contentMaterialId;

    /**
     * 素材标题
     */
    private String materialTitle;

    /**
     * 素材内容
     */
    private String materialContent;

    /**
     * 素材类型1图文2纯文字3纯图片4视频
     */
    private Integer materialType;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 素材图片
     */
    private List<String> materialImageUrls;

    /**
     * 素材视频链接
     */
    private String materialVideoUrl;

    /**
     * 素材视频封面链接
     */
    private String materialVideoImageUrl;

    /**
     * 素材视频第一帧url
     */
    private String materialVideoFirstImageUrl;

    /**
     * 分享次数
     */
    private Integer shareCount;

    /**
     * 发布人id
     */
    private String producerId;

    /**
     * 发布人头像
     */
    private String avatar;

    /**
     * 发布人昵称
     */
    private String nickName;

    /**
     * 商品列表
     */
    private List<SimpleGoodsInfoVO> contentGoodsList;


    public Integer getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Integer contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public String getMaterialTitle() {
        return materialTitle;
    }

    public void setMaterialTitle(String materialTitle) {
        this.materialTitle = materialTitle;
    }

    public String getMaterialContent() {
        return materialContent;
    }

    public void setMaterialContent(String materialContent) {
        this.materialContent = materialContent;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public List<String> getMaterialImageUrls() {
        return materialImageUrls;
    }

    public void setMaterialImageUrls(List<String> materialImageUrls) {
        this.materialImageUrls = materialImageUrls;
    }

    public String getMaterialVideoUrl() {
        return materialVideoUrl;
    }

    public void setMaterialVideoUrl(String materialVideoUrl) {
        this.materialVideoUrl = materialVideoUrl;
    }

    public String getMaterialVideoImageUrl() {
        return materialVideoImageUrl;
    }

    public void setMaterialVideoImageUrl(String materialVideoImageUrl) {
        this.materialVideoImageUrl = materialVideoImageUrl;
    }

    public String getMaterialVideoFirstImageUrl() {
        return materialVideoFirstImageUrl;
    }

    public void setMaterialVideoFirstImageUrl(String materialVideoFirstImageUrl) {
        this.materialVideoFirstImageUrl = materialVideoFirstImageUrl;
    }

    public Integer getShareCount() {
        return shareCount;
    }

    public void setShareCount(Integer shareCount) {
        this.shareCount = shareCount;
    }

    public String getProducerId() {
        return producerId;
    }

    public void setProducerId(String producerId) {
        this.producerId = producerId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public List<SimpleGoodsInfoVO> getContentGoodsList() {
        return contentGoodsList;
    }

    public void setContentGoodsList(List<SimpleGoodsInfoVO> contentGoodsList) {
        this.contentGoodsList = contentGoodsList;
    }
}
